%global githash 3fd330c443272699cd8ba5d7da7e56c27a567ec1
Name:          juniversalchardet
Version:       1.0.3
Release:       %mkrel 8
Group:         Development/Java
Summary:       A Java port of Mozilla's universalchardet
# ALL files are under MPL (v1.1) GPL license
# build.xml and c/* under MPL 1.1/GPL 2.0/LGPL 2.1 license
License:       MPLv1.1 or GPLv2+ or LGPLv2+
URL:           https://github.com/thkoch2001/juniversalchardet
Source0:       https://github.com/thkoch2001/juniversalchardet/archive/%{githash}/%{name}-%{githash}.tar.gz
Source1:       http://repo1.maven.org/maven2/com/googlecode/%{name}/%{name}/%{version}/%{name}-%{version}.pom
# added javadoc task
# fix example build
Patch0:        %{name}-1.0.3-build.patch

BuildRequires: ant
BuildRequires: java-devel
BuildRequires: javapackages-local

BuildArch:     noarch

%description
juniversalchardet is a Java port of 'universalchardet',
that is the encoding detector library of Mozilla.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{githash}
find . -name "*.class" -delete
find . -name "*.jar" -delete

%patch0 -p0

sed -i 's/1.5/1.6/' build.xml

sed -i 's/\r//' readme.txt

%build

%ant dist javadoc example

%install
%mvn_artifact %{SOURCE1} dist/%{name}-%{version}.jar
%mvn_file com.googlecode.%{name}:%{name} %{name}
%mvn_install -J dist/docs

install -pm 644 dist/%{name}-example-%{version}.jar \
 %{buildroot}%{_javadir}/%{name}-example.jar

%files -f .mfiles
%{_javadir}/%{name}-example.jar
%doc readme.txt
%license MPL-1.1.txt

%files javadoc -f .mfiles-javadoc
%license MPL-1.1.txt



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 1.0.3-8.mga6
+ Revision: 976417
- First rebuild of the java stack
- sync package juniversalchardet with fedora

* Tue Feb 09 2016 umeabot <umeabot> 1.0.3-6.mga6
+ Revision: 952147
- Mageia 6 Mass Rebuild

* Sun Jan 18 2015 daviddavid <daviddavid> 1.0.3-5.mga5
+ Revision: 811235
- use .mfiles generated during build
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-4.mga5
+ Revision: 746678
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-3.mga5
+ Revision: 680901
- Mageia 5 Mass Rebuild

* Sun Jun 15 2014 dmorgan <dmorgan> 1.0.3-2.mga5
+ Revision: 636371
- imported package juniversalchardet


* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.0.3-2
- Use Requires: java-headless rebuild (#1067528)

* Mon Jan 21 2013 gil cattaneo <puntogil@libero.it> 1.0.3-1
- initial rpm
